<div class='container d-flex flex-ai-center flex-jc-center'>
  <div class='inner-container d-flex flex-jc-center'>
    <form action='profile' class='w-100' *ngIf='ingredients | async as ingredients else loadingIngredients'
          [formGroup]='addRecipeForm'>
      <div class='section'>
        <h1>Dodajte novi recept </h1>
      </div>

      <div class='section'>
        <h2>Osnovne informacije</h2>
        <mat-divider></mat-divider>
      </div>

      <div class='row'>
        <div class='col-6'>
          <mat-form-field class='w-100'>
            <mat-label>Naziv recepta</mat-label>
            <input matInput formControlName='name'>
          </mat-form-field>
        </div>
        <div class='col-6'>
          <label>Slika</label>
          <input type='file' class='d-block' (change)='onPhotoChange($event)'>
        </div>
      </div>

      <div class='section'>
        <h2>Koraci pripreme</h2>
        <mat-divider></mat-divider>
      </div>

      <div class='row'>
        <div class='col-12' formArrayName='steps'>
          <mat-form-field *ngFor='let stepControl of stepsFormArray.controls; let i = index' class='w-100'>
            <mat-label>Korak</mat-label>
            <input matInput [formControlName]='i'>
          </mat-form-field>
          <button mat-icon-button color='primary' (click)='addStep()'>
            <mat-icon>add</mat-icon>
          </button>
        </div>
      </div>

      <div class='section'>
        <h2>Sastojci</h2>
        <mat-divider></mat-divider>
      </div>

      <div formArrayName='ingredients'>
        <div *ngFor='let ingredientControl of ingredientsFormArray.controls; let i = index' class='row'>
          <div class='col-6'>
            <mat-form-field class='w-100'>
              <mat-label>Naziv sastojka</mat-label>
              <mat-select [formControl]='ingredientControl.controls.id'>
                <mat-option>
                  <ngx-mat-select-search></ngx-mat-select-search>
                </mat-option>
                <mat-option *ngFor='let ingredient of ingredients'
                            [value]='ingredient._id'>{{ ingredient.name }}</mat-option>
              </mat-select>
            </mat-form-field>
          </div>
          <div class='col-3'>
            <mat-form-field class='w-100'>
              <mat-label>Kolicina</mat-label>
              <input matInput [formControl]='ingredientControl.controls.amount'>
            </mat-form-field>
          </div>
          <div class='col-3'>
            <mat-form-field class='w-100'>
              <mat-label>Mera</mat-label>
              <mat-select [formControl]='ingredientControl.controls.unit'>
                <mat-option *ngFor='let unit of measureUnits' [value]='unit'>{{ unit }}</mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>

        <div class='row'>
          <div class='col-12'>
            <button mat-icon-button color='primary' (click)='addIngredient()'>
              <mat-icon>add</mat-icon>
            </button>
          </div>
        </div>
      </div>

      <div class='d-flex flex-ai-center m-bottom-2'>
        <button mat-button mat-raised-button color='primary' class='m-left-auto' (click)='addRecipe()'>Dodaj recept</button>
      </div>
    </form>

    <ng-template #loadingIngredients>
      <app-loading></app-loading>
    </ng-template>
  </div>
</div>
